%% Import data from text file.
% Script for importing data from the following text file:
%
%    D:\sydney 2019\data\2019_11_06-16_17_49p2_W_1p5000_ak_0p0154_aa_0p25_T0_0p6667\2019_11_06-16_17_49p2_W_1p5000_ak_0p0154_aa_0p25_T0_0p6667_input.txt
%
% To extend the code to different selected data or a different text file,
% generate a function instead of a script.

% Auto-generated by MATLAB on 2019/11/22 15:48:55
function [wf_tab] = Import_tank_file(filename);

%% Initialize variables.
delimiter = '\t';
startRow = 3;
endRow = 3;

%% Format for each line of text:
%   column4: text (%s)
% For more information, see the TEXTSCAN documentation.
formatSpec = '%*s%*s%*s%s%*s%*s%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to the format.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, endRow-startRow+1, 'Delimiter', delimiter, 'TextType', 'string', 'HeaderLines', startRow-1, 'ReturnOnError', false, 'EndOfLine', '\r\n');

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Create output variable
wf_tab = table(dataArray{1:end-1}, 'VariableNames', {'LocalTime'});

%% Clear temporary variables
clearvars filename delimiter startRow endRow formatSpec fileID dataArray ans;
end